Send a follow-up message to an existing agent conversation

Appends a follow-up prompt to an existing REST-created agent run and can update the run's edit permission or branch scope.

POST /api/public/v1/agents/{agentId}/messages
Bearer token

Path parameters

· 1
agentId string required

Identifier of the agent conversation to continue.

Body

· SendAgentMessageRequest
required application/json

Follow-up prompt and optional permission overrides for the agent run.

prompt string · min length: 1 required

User prompt to send to the model.

permission string · enum

Whether the run can only inspect the app or is also allowed to make edits.

values

  • read_only
  • allow_edits
permittedBranches array of string · max items: 50

Branches the run is allowed to access when branch restrictions apply.

completionWebhookUrl string · uri

Webhook URL Buildprint will call when the run completes.

Responses